> ## Documentation Index
> Fetch the complete documentation index at: https://help.fieldpulse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Material List by ID



## OpenAPI

````yaml get /material-list/{id}
openapi: 3.0.0
info:
  title: FieldPulse API
  description: >-
    REST API for the FieldPulse field service management platform.


    **Authentication:** All requests require an `x-api-key` header. Contact
    support@fieldpulse.com to obtain your API key.


    **Important:** The API Playground below makes live requests against your
    production data. Use caution when testing write operations (POST, PUT,
    DELETE).
  version: 1.0.0
servers:
  - url: https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage
    description: Production
security:
  - apiKeyAuth: []
tags:
  - name: Assets
    description: Endpoints related to assets
  - name: Assets Category
    description: Endpoints related to assets category
  - name: Comments
    description: Endpoints related to comments
  - name: Company Profile
    description: Endpoints related to contracts
  - name: Contracts
    description: Endpoints related to contracts
  - name: Customers
    description: Endpoints related to customers
  - name: Custom Fields
    description: Endpoints related to custom fields
  - name: Estimates
    description: Endpoints related to estimates
  - name: Invoices
  - name: Items
  - name: Jobs
  - name: Lead Source
  - name: Locations
  - name: Material Lists
  - name: Payments
  - name: Pipeline Status
  - name: Projects
  - name: Purchase Orders
  - name: Subtasks
  - name: Tags
  - name: Teams
  - name: Timesheets
  - name: Users
  - name: Vendors
  - name: Version
paths:
  /material-list/{id}:
    get:
      tags:
        - Material Lists
      summary: Get Material List by ID
      operationId: getMaterialListById
      parameters:
        - name: filter
          in: query
          schema:
            type: string
          description: Array of attribute, operator, and value parts.
          example: <array>
        - name: asn
          in: query
          schema:
            type: string
          description: >-
            Array or object containing either a team_id index, assigned_members
            index containing an array of member ids, or both.
          example: <array>
        - name: rel
          in: query
          schema:
            type: string
          description: array consisting of indices with the desired relation to include
          example: <array>
        - name: withCustomfieldsAndRelatedData
          in: query
          schema:
            type: string
          description: If true, response will contain custom fields data
          example: <boolean>
        - name: by_view
          in: query
          schema:
            type: string
          description: Filter by view mode. Acceptable values all, team, my
          example: <string>
        - name: by_entity
          in: query
          schema:
            type: string
          description: >-
            Filter by entity. Acceptable values job, project, invoice, order,
            estimate. Required if entity_id is provided
          example: <string>
        - name: by_entity_id
          in: query
          schema:
            type: string
          description: Filter by existing entity id listed for by_entity parameter
          example: <integer>
        - name: from_job_start_time
          in: query
          schema:
            type: string
          description: Filter by job start time
          example: <timestamp>
        - name: to_job_end_time
          in: query
          schema:
            type: string
          description: Filter by job end time
          example: <timestamp>
        - name: unscheduled
          in: query
          schema:
            type: string
          description: Filter by unscheduled jobs
          example: <boolean>
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````